
// Custom Theming for Angular Material
// For more information: https://material.angular.io/guide/theming
@use '~@angular/material' as mat;
// Plus imports for other components in your app.

// Include the common styles for Angular Material. We include this here so that you only
// have to load a single css file for Angular Material in your app.
// Be sure that you only ever include this mixin once!
@include mat.core();
@import "assets/styles/colors";
@import "assets/styles/fonts";
// Define the palettes for your theme using the Material Design palettes available in palette.scss
// (imported above). For each palette, you can optionally specify a default, lighter, and darker
// hue. Available color palettes: https://material.io/design/color/
$my-app-primary: mat.define-palette(mat.$indigo-palette);
$my-app-accent: mat.define-palette(mat.$pink-palette, A200, A100, A400);

// The warn palette is optional (defaults to red).
$my-app-warn: mat.define-palette(mat.$red-palette);

// Create the theme object. A theme consists of configurations for individual
// theming systems such as "color" or "typography".
$my-app-theme: mat.define-light-theme((
  color: (
    primary: $my-app-primary,
    accent: $my-app-accent,
    warn: $my-app-warn,
  )
));

// Include theme styles for core and each component used in your app.
// Alternatively, you can import and @include the theme mixins for each component
// that you are using.
@include mat.all-component-themes($my-app-theme);


/* You can add global styles to this file, and also import other style files */
*{
  padding: 0;
  margin: 0;
  transition: background-color .25s linear;
  -webkit-tap-highlight-color: transparent;
}

li {
  list-style-type: none;
}

main{
  background-color: $background-primary;
}

.creating_main{
  display: flex;
  align-items: center;
  flex-direction: column;
}

input, textarea{
  font-style: normal;
  outline: none;
  font-weight: 600;
  font-size: 18px;
  line-height: 24px;
  letter-spacing: 0.0075em;
}
a {
  cursor: pointer;
  text-decoration: none;
  color: $button-font-color;
  font-weight: 700;
}

button{
  cursor:pointer;
}

hr{
  margin-bottom: 25px;
}

h6 {
  font-style: normal;
  font-weight: 600;
  font-size: 18px;
  line-height: 24px;
  display: flex;
  align-items: center;
  letter-spacing: .0075em;
  color: $font-primary-color;
  margin: 15px 0;
}

h4 {
  font-weight: 600;
  font-size: 34px;
  line-height: 44px;
}

h3 {
  color: $font-primary-color
}

h2 {
  font-weight: bold;
  font-size: 60px;
  line-height: 130%;
  letter-spacing: 0.03em;
}

p {
  font-size: 18px;
  line-height: 24px;
  letter-spacing: 0.0075em;
  color: $font-secondary-color;
}
address {
  color: $font-secondary-color;
}

body {
  font-family: $main-font-family;
  font-style: normal;
  color: $font-primary-color;
  background-color: $background-primary;
}

.mat-chip.mat-standard-chip {
  background: $blue-color;
}



